Page MenuHomePhabricator

"bzimport added a subscriber: Unknown Object (????)."
Closed, ResolvedPublic

Description

https://bugzillapreview.wmflabs.org/T6868 shows

bzimport added a subscriber: Unknown Object (????).

There are no subscribers in this task. For users it's just a detail that many won't see / won't bother about, but perhaps it is a symptom of something that isn't working as it should?

Event Timeline

Qgil created this task.Oct 18 2014, 11:43 PM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Needs Triage.
Qgil added a project: Bugzilla-Preview.
Qgil changed Security from none to None.
Qgil added a subscriber: Qgil.
Byfserag triaged this task as Low priority.Oct 19 2014, 7:01 AM
Byfserag added a subscriber: Byfserag.

<andre__> "bzimport added a subscriber: Unknown Object (????)." is interesting
<chasemp> that's the bug list
<chasemp> doesn't exist

chasemp closed this task as Declined.Oct 21 2014, 6:04 PM
chasemp claimed this task.

The unknown object is wikibugs-l@ and will go away once that is set up (it is already in this instance). Hence only the preview instance would benefit from a fix, but not this production instance, hence not worth it.

He7d3r added a subscriber: He7d3r.Nov 30 2014, 12:44 PM

I just noticed a similar message on T74749#794808.

jayvdb added a subscriber: jayvdb.Nov 30 2014, 12:56 PM

I've been seeing this message occur on _every_ pywikibot task (i.e. it happens so frequently, I am now blind to it)

Probably it's pywikipedia-bugs@lists.wikimedia.org, then? However, " removed a subscriber: Unknown Object (????)." is probably problematic, as that suggests there won't be an e-mail to pywikipedia-bugs anymore...

valhallasw reopened this task as Open.Nov 30 2014, 1:14 PM
valhallasw edited projects, added Phabricator; removed Bugzilla-Preview.

yeah, bummer. I think that this is a case of case-sensitivity....

Pywikipedia-bugs@lists.wikimedia.org

was pulled from bugzilla

and

pywikipedia-bugs@lists.wikimedia.org

was created in Phab

https://phabricator.wikimedia.org/mailinglists/

"Technically" different emails based on spec, but man I wish we would have caught this sooner. I'll try to figure out a fixup.

Briefly discussed Pywikipedia-bugs@ vs pywikipedia-bugs@ with Chase; pasted list of affected BZ IDs in https://phabricator.wikimedia.org/P114

chasemp closed this task as Resolved.Dec 23 2014, 5:27 PM

So I was writing something to redo this and I decided to try to find an example to make sure I understood the problem and I have gone through a large portion of the affected tickets and cannot find a single instance of this anymore :) I think the issue has been crowd sourced into extinction. Thanks people.